import plugin from "tailwindcss/plugin.js";
import { getAllIconComponents } from "./core.js";
export const iconsTailwindPlugin = (iconsPluginOptions) => {
  const components = getAllIconComponents(iconsPluginOptions);
  return plugin(({ matchComponents }) => {
    for (const twPrefix of Object.keys(components)) {
      matchComponents(
        {
          [twPrefix]: (value) => {
            if (typeof value === "string")
              return components[twPrefix][value];
            return value;
          }
        },
        {
          values: components[twPrefix]
        }
      );
    }
  });
};
